# Contributing

###### Last revised: May 11th, 2021

## General rules

1. **English only** for issues & pull requests.
2. **Do not edit `README.md`!** This file is automatically generated.
3. Personal opinions will **not** be considered when adding or removing an alternative. Instead, provide links to articles with details.

## Issue & pull request templates

1. Using the templates is **required**. Blank issues or pull requests are not allowed & will be closed immediately.
2. **Not every field is required** but fill out as much info as you can. Feel free to delete sections that are not relevant.

## How to submit a change

### A: I am not familiar with GitHub or Pull Requests

1. Open a [new Issue](https://github.com/tycrek/degoogle/issues/new/choose)
2. Select a template to use. If in doubt, use **[Other]**
3. Fill out the information to the best of your ability: ![Template helper](https://user-images.githubusercontent.com/29926144/115123873-596cdd80-9f7c-11eb-8506-077d6bbd5433.png)
4. When you are finished, click **Submit new issue**

### B: I have used GitHub Pull Requests

1. Create your Pull Request with your changes.
   - Remember to **not** edit `README.md`!
   - As with Issues, fill out the template as best you can.
2. For PR's relating to alternatives, please follow the steps above to also create an Issue for discussion. Simple PR's that are unrelated to a specific alternative may not require an Issue. If in doubt, create an **[Other]** Issue.

## I contributed but I am not in the list (or) I do not want to be in the list anymore

If you submitted a change that made it into the guide but don't have your Reddit or GitHub username in the [CONTRIBUTORS.md] list, open an issue or pull request so I can fix it. Alternatively, if your username is on the list and you do *not* want it there, feel free to request this as well.

[Other]: https://github.com/tycrek/degoogle/issues/new?assignees=&labels=other&template=other.md&title=%5BOTHER%5D
[CONTRIBUTORS.md]: https://github.com/tycrek/degoogle/blob/master/CONTRIBUTORS.md
